curl https://production.methodfi.com/secrets/sec_au22b1fbFrmfp \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const secret = await method.secrets.retrieve('sec_au22b1fbFrmfp');
secret = method.secrets.retrieve('sec_au22b1fbFrmfp')
{
"id": "sec_au22b1fbFrmfp",
"metadata": {
"environment": "production"
},
"created_at": "2025-12-04T18:50:54.024Z",
"updated_at": "2025-12-04T18:50:54.024Z",
"status": "active"
}
Secrets
Retrieve a Secret
GET
/
secrets
/
{sec_id}
curl https://production.methodfi.com/secrets/sec_au22b1fbFrmfp \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const secret = await method.secrets.retrieve('sec_au22b1fbFrmfp');
secret = method.secrets.retrieve('sec_au22b1fbFrmfp')
{
"id": "sec_au22b1fbFrmfp",
"metadata": {
"environment": "production"
},
"created_at": "2025-12-04T18:50:54.024Z",
"updated_at": "2025-12-04T18:50:54.024Z",
"status": "active"
}
Returns the Secret object associated with the ID.
Path Parameters
Returns
Returns the Secret object associated with the ID. Note that thevalue field is not returned.
curl https://production.methodfi.com/secrets/sec_au22b1fbFrmfp \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const secret = await method.secrets.retrieve('sec_au22b1fbFrmfp');
secret = method.secrets.retrieve('sec_au22b1fbFrmfp')
{
"id": "sec_au22b1fbFrmfp",
"metadata": {
"environment": "production"
},
"created_at": "2025-12-04T18:50:54.024Z",
"updated_at": "2025-12-04T18:50:54.024Z",
"status": "active"
}
⌘I